.modal {
	width: 100%;
	max-width: 450px;
	background: $white;
	padding: 40px 30px;
	border-radius: 6px;

	&.modal-sm {
		max-width: 400px;
		padding: 34px 28px;
	}

	&__header {
		font-weight: 900;
		text-align: center;
		margin-bottom: 22px;
		font-family: $font-family-head;
		font-size: font-size-rel(18px);
		line-height: font-size-rel(22px);
	}

	&__title {
		font-weight: 700;
		margin-bottom: 15px;
		font-size: font-size-rel(30px);
		line-height: font-size-rel(36px);
		font-family: $font-family-head;
	}

	&__lead {
		color: $gray-500;
		font-size: font-size-rel(17px);
		line-height: font-size-rel(23px);
		margin-bottom: 15px;
	}

	&__info {
		margin-bottom: 30px;
		font-size: font-size-rel(16px);
		line-height: font-size-rel(19px);

		&--item {
			display: flex;
			align-items: center;
			margin-bottom: 16px;

			&:last-child {
				margin-bottom: 0;
			}
		}

		&--icon {
			width: 48px;
			font-size: 0;
			line-height: 0;
			display: inline-block;
			flex-shrink: 0;
		}

		&--text {
			padding-left: 13px;
		}
	}

	&__subtitle {
		max-width: 360px;
		text-align: center;
		margin: 0 auto 25px auto;
		font-size: font-size-rel(16px);
		line-height: font-size-rel(19px);
	}

	&__successfully {

		&--image {
			width: 249px;
			margin: 0 auto 40px auto;
		}

		&--button {

			.btn {
				width: 100%;
				max-width: 305px;
			}
		}
	}

	&__error {
		width: 45px;
		margin: 0 auto 25px auto;
	}

	&__inner {
		max-width: 510px;
	}

	@media (min-width: $screen-sm-min) {
		width: 580px;
		padding: 44px 46px;
		max-width: inherit;

		&.modal-phone-confirmation {
			width: 680px;
		}

		&.modal-sm {
			width: 700px;
			max-width: inherit;
			padding: 45px 70px;
			border: 2px solid $purple-100;
		}

		&__header {
			font-size: font-size-rel(30px);
			line-height: font-size-rel(36px);
		}

		&__title {
			font-weight: 800;
			margin-bottom: 20px;
			font-size: font-size-rel(30px);
			line-height: font-size-rel(36px);
		}

		&__subtitle {
			max-width: 450px;
		}

		&__error {
			width: 64px;
			margin: 0 auto 25px auto;
		}
	}

	@media (min-width: $screen-md-min) {

		&.modal-phone-confirmation {
			width: 768px;
		}

		&.modal-sm {
			width: 800px;
			padding: 45px 80px;
		}

		&__header {
			margin-bottom: 25px;
			font-size: font-size-rel(36px);
			line-height: font-size-rel(42px);
		}

		&__title {
			font-size: font-size-rel(36px);
			line-height: font-size-rel(42px);
		}
	}
}

.form-inline {

	&__input {
		margin-bottom: 10px;
	}

	&__text {
		text-align: center;
	}

	@media (min-width: $screen-sm-min) {
		display: flex;
		align-items: center;
		justify-content: center;

		&__input {
			margin: 0;
			width: 206px;
			flex-shrink: 0;
		}

		&__text {
			padding-left: 20px;
			font-size: font-size-rel(16px);
			line-height: font-size-rel(19px);
		}
	}
}

.btn-inline {
	margin: 0 -5px;
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: center;

	&__item {
		padding: 5px;
	}

	.btn {
		min-width: 180px;
	}

	@media (min-width: $screen-sm-min) {
		margin: 0 -12px;

		&__item {
			padding: 15px 12px 0 12px;
		}

		.btn {
			min-width: 208px;
		}
	}
}

.frame {
	padding: 0;
	width: 100%;
	max-width: 380px;
	background: $white;

	&__row {

	}

	&__media {
		display: none;
		background: $gray-100;

		&--wrap {

		}

	}

	&__content {
		padding: 40px 35px;

		.form-group {
			margin-bottom: 25px;
		}
	}

	&__header {
		font-weight: 900;
		margin-bottom: 30px;
		font-family: $font-family-head;
		font-size: font-size-rel(36px);
		line-height: font-size-rel(38px);
	}

	@media (min-width: $screen-sm-min) {
		width: 700px;
		max-width: 800px;

		&__row {
			display: flex;
			align-items: center;
		}

		&__media {
			width: 290px;
			font-size: font-size-rel(16px);
			line-height: font-size-rel(19px);
			padding: 57px 10px;
			text-align: center;
			flex-shrink: 0;
			display: flex;
			flex-direction: column;

			&--wrap {
				margin: auto 0;
			}

			&--logo {
				width: 97px;
				margin: 0 auto 30px auto;
			}

			&--image {
				width: 184px;
				margin: 0 auto 25px auto;
			}

			&--text {
				width: 220px;
				font-size: font-size-rel(17px);
				line-height: font-size-rel(23px);
				margin: 0 auto 15px auto;
			}

			&--link {

			}
		}

		&__content {
			flex-grow: 1;
		}

		&__header {
			font-size: font-size-rel(48px);
			line-height: font-size-rel(50px)
		}
	}

	@media (min-width: $screen-md-min) {
		width: 800px;

		&__content {
			padding: 50px 44px;
		}
	}
}